ReactPhysics3D: reactphysics3d::SolveBallAndSocketJointSystem Class Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
reactphysics3d::SolveBallAndSocketJointSystem Class Reference

This class is responsible to solve the BallAndSocketJoint constraints. More...

`#include <include/reactphysics3d/systems/SolveBallAndSocketJointSystem.h>`

## Public Member Functions
| SolveBallAndSocketJointSystem (PhysicsWorld &world, RigidBodyComponents &rigidBodyComponents, TransformComponents &transformComponents, JointComponents &jointComponents, BallAndSocketJointComponents &ballAndSocketJointComponents)
| Constructor.
| ~SolveBallAndSocketJointSystem ()=default
| Destructor.
void | initBeforeSolve ()
| Initialize before solving the constraint.
void | warmstart ()
| Warm start the constraint (apply the previous impulse at the beginning of the step)
void | solveVelocityConstraint ()
| Solve the velocity constraint.
void | solvePositionConstraint ()
| Solve the position constraint (for position error correction)
void | setTimeStep (decimal timeStep)
| Set the time step.
void | setIsWarmStartingActive (bool isWarmStartingActive)
| Set to true to enable warm starting.

## Static Public Member Functions
static decimal | computeCurrentConeHalfAngle (const Vector3 &coneLimitWorldAxisBody1, const Vector3 &coneLimitWorldAxisBody2)
| Return the current cone angle (for the cone limit)

## Detailed Description

This class is responsible to solve the BallAndSocketJoint constraints.

## Member Function Documentation

## ◆ computeCurrentConeHalfAngle()

RP3D_FORCE_INLINE decimal reactphysics3d::SolveBallAndSocketJointSystem::computeCurrentConeHalfAngle | ( | const Vector3 & | coneLimitWorldAxisBody1,
|  | const Vector3 & | coneLimitWorldAxisBody2 )
| static

Return the current cone angle (for the cone limit)

Returns
  The positive cone angle in radian in range [0, PI]

The documentation for this class was generated from the following files:

- include/reactphysics3d/systems/SolveBallAndSocketJointSystem.h
- src/systems/SolveBallAndSocketJointSystem.cpp